package nc.vo.twxt.log;

import nc.vo.pub.SuperVO;
/**
 * @Description: 日志实体
 * 
 * @author 周蓝萍 【碧桂园-物业板块-天文系统接口】
 * @date 2019-04-12
 * @version with NC V6.3
 */
@SuppressWarnings("deprecation")
public class WYTwxtLogVO extends SuperVO{
	
	private static final long serialVersionUID = 1L;
	
	private String pk_log;
	private String nc_id;
	private String other_id;
	private String billno;
	private String transtypecode;
	private String itfcode;
	private String itfname;
	private String billdata;
	private String rsdata;
	private String msg;
	private String issuccess;
	private String ts;
	private int dr = 0;
	private String def1;
	private String def2;
	private String def3;
	private String def4;
	private String def5;
	
	public String getPk_log() {
		return pk_log;
	}

	public void setPk_log(String pk_log) {
		this.pk_log = pk_log;
	}

	public String getNc_id() {
		return nc_id;
	}

	public void setNc_id(String nc_id) {
		this.nc_id = nc_id;
	}

	public String getOther_id() {
		return other_id;
	}

	public void setOther_id(String other_id) {
		this.other_id = other_id;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getTranstypecode() {
		return transtypecode;
	}

	public void setTranstypecode(String transtypecode) {
		this.transtypecode = transtypecode;
	}

	public String getItfcode() {
		return itfcode;
	}

	public void setItfcode(String itfcode) {
		this.itfcode = itfcode;
	}

	public String getItfname() {
		return itfname;
	}

	public void setItfname(String itfname) {
		this.itfname = itfname;
	}

	public String getBilldata() {
		return billdata;
	}

	public void setBilldata(String billdata) {
		this.billdata = billdata;
	}

	public String getRsdata() {
		return rsdata;
	}

	public void setRsdata(String rsdata) {
		this.rsdata = rsdata;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getIssuccess() {
		return issuccess;
	}

	public void setIssuccess(String issuccess) {
		this.issuccess = issuccess;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public int getDr() {
		return dr;
	}

	public void setDr(int dr) {
		this.dr = dr;
	}

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getParentPKFieldName() {
		return null;
	}

	/**
	 * 取得表主键.
	 */
	public String getPKFieldName() {
		return "pk_log";
	}

	/**
	 * 返回表名称.
	 */
	public String getTableName() {
		return "wuye_twxt_log";
	}
	
}
